Build #3 for imap-0.3.0.4

[all reports]

Package imap-0.3.0.4
Install DependencyFailed memory-0.14.7
Docs NotTried
Tests NotTried
Time submitted 2017-09-12 19:15:11.866603103 UTC
Compiler ghc-8.0.2
OS linux
Arch x86_64
Dependencies attoparsec-0.13.2.0, base-4.9.1.0, bytestring-0.10.8.1, connection-0.2.8, containers-0.5.7.1, derive-2.6.3, either-4.4.1.1, exceptions-0.8.3, hslogger-1.2.10, list-t-1.0.0.1, network-2.6.3.2, pipes-4.3.4, random-1.1, rolling-queue-0.1, stm-2.4.4.1, stm-delay-0.1.1.1, text-1.2.2.2, transformers-0.5.2.0, word8-0.1.3
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring base-prelude-1.2.0.1...
Configuring base-orphans-0.6...
Building base-prelude-1.2.0.1...
Building base-orphans-0.6...
Installed base-prelude-1.2.0.1
Configuring base64-bytestring-1.0.0.1...
Building base64-bytestring-1.0.0.1...
Configuring basement-0.0.1...
Installed base-orphans-0.6
Building basement-0.0.1...
Configuring byteable-0.1.1...
Installed base64-bytestring-1.0.0.1
Building byteable-0.1.1...
Configuring cabal-doctest-1.0.2...
Installed byteable-0.1.1
Building cabal-doctest-1.0.2...
Configuring data-default-class-0.1.2.0...
Installed cabal-doctest-1.0.2
Building data-default-class-0.1.2.0...
Configuring fail-4.9.0.0...
Installed data-default-class-0.1.2.0
Building fail-4.9.0.0...
Configuring cereal-0.5.4.0...
Installed fail-4.9.0.0
Building cereal-0.5.4.0...
Configuring hourglass-0.2.10...
Installed cereal-0.5.4.0
Building hourglass-0.2.10...
Configuring integer-logarithms-1.0.2...
Installed hourglass-0.2.10
Building integer-logarithms-1.0.2...
Configuring mtl-2.2.1...
Installed integer-logarithms-1.0.2
Building mtl-2.2.1...
Configuring old-locale-1.0.0.7...
Installed basement-0.0.1
Building old-locale-1.0.0.7...
Configuring prelude-extras-0.4.0.3...
Installed old-locale-1.0.0.7
Building prelude-extras-0.4.0.3...
Configuring primitive-0.6.2.0...
Installed mtl-2.2.1
Building primitive-0.6.2.0...
Configuring network-2.6.3.2...
Installed prelude-extras-0.4.0.3
Building network-2.6.3.2...
Configuring semigroups-0.18.3...
Installed primitive-0.6.2.0
Building semigroups-0.18.3...
Configuring stm-2.4.4.1...
Installed semigroups-0.18.3
Building stm-2.4.4.1...
Configuring random-1.1...
Installed stm-2.4.4.1
Building random-1.1...
Configuring syb-0.7...
Installed network-2.6.3.2
Building syb-0.7...
Configuring transformers-compat-0.5.1.4...
Installed random-1.1
Building transformers-compat-0.5.1.4...
Configuring void-0.7.2...
Installed syb-0.7
Configuring word8-0.1.3...
Installed transformers-compat-0.5.1.4
Building void-0.7.2...
Building word8-0.1.3...
Configuring text-1.2.2.2...
Installed void-0.7.2
Building text-1.2.2.2...
Installed word8-0.1.3
Configuring old-time-1.1.0.3...
Building old-time-1.1.0.3...
Configuring foundation-0.0.14...
Installed old-time-1.1.0.3
Building foundation-0.0.14...
Configuring StateVar-1.1.0.4...
Installed text-1.2.2.2
Building StateVar-1.1.0.4...
Configuring pem-0.2.2...
Installed StateVar-1.1.0.4
Building pem-0.2.2...
Configuring async-2.1.1.1...
Installed pem-0.2.2
Building async-2.1.1.1...
Configuring rolling-queue-0.1...
Installed async-2.1.1.1
Building rolling-queue-0.1...
Configuring hslogger-1.2.10...
Installed rolling-queue-0.1
Building hslogger-1.2.10...
Configuring stm-delay-0.1.1.1...
Installed hslogger-1.2.10
Building stm-delay-0.1.1.1...
Configuring socks-0.5.5...
Installed stm-delay-0.1.1.1
Building socks-0.5.5...
Configuring exceptions-0.8.3...
Installed socks-0.5.5
Building exceptions-0.8.3...
Configuring MonadRandom-0.5.1...
Installed exceptions-0.8.3
Building MonadRandom-0.5.1...
Configuring mmorph-1.1.0...
Installed foundation-0.0.14
Building mmorph-1.1.0...
Configuring transformers-base-0.4.4...
Installed mmorph-1.1.0
Configuring tagged-0.8.5...
Installed MonadRandom-0.5.1
Building transformers-base-0.4.4...
Building tagged-0.8.5...
Installed transformers-base-0.4.4
Configuring polyparse-1.12...
Building polyparse-1.12...
Configuring hashable-1.2.6.1...
Installed tagged-0.8.5
Building hashable-1.2.6.1...
Configuring contravariant-1.4...
Installed hashable-1.2.6.1
Building contravariant-1.4...
Configuring pipes-4.3.4...
Installed polyparse-1.12
Building pipes-4.3.4...
Configuring memory-0.14.7...
Installed contravariant-1.4
Building memory-0.14.7...
Configuring monad-control-1.0.2.2...
Failed to install memory-0.14.7
Build log ( /home/builder/.cabal/logs/memory-0.14.7.log ):
cabal: Entering directory '/tmp/cabal-tmp-18940/memory-0.14.7'
Configuring memory-0.14.7...
Building memory-0.14.7...
Preprocessing library memory-0.14.7...
[ 1 of 28] Compiling Data.Memory.MemMap.Posix ( dist/build/Data/Memory/MemMap/Posix.hs, dist/build/Data/Memory/MemMap/Posix.o )
[ 2 of 28] Compiling Data.Memory.Internal.DeepSeq ( Data/Memory/Internal/DeepSeq.hs, dist/build/Data/Memory/Internal/DeepSeq.o )
[ 3 of 28] Compiling Data.Memory.Internal.Imports ( Data/Memory/Internal/Imports.hs, dist/build/Data/Memory/Internal/Imports.o )
[ 4 of 28] Compiling Data.Memory.PtrMethods ( Data/Memory/PtrMethods.hs, dist/build/Data/Memory/PtrMethods.o )
[ 5 of 28] Compiling Data.Memory.Internal.CompatPrim64 ( Data/Memory/Internal/CompatPrim64.hs, dist/build/Data/Memory/Internal/CompatPrim64.o )
[ 6 of 28] Compiling Data.Memory.Internal.CompatPrim ( Data/Memory/Internal/CompatPrim.hs, dist/build/Data/Memory/Internal/CompatPrim.o )
[ 7 of 28] Compiling Data.Memory.Internal.Scrubber ( Data/Memory/Internal/Scrubber.hs, dist/build/Data/Memory/Internal/Scrubber.o )
[ 8 of 28] Compiling Data.Memory.Internal.Compat ( Data/Memory/Internal/Compat.hs, dist/build/Data/Memory/Internal/Compat.o )
[ 9 of 28] Compiling Data.Memory.Hash.FNV ( Data/Memory/Hash/FNV.hs, dist/build/Data/Memory/Hash/FNV.o )
[10 of 28] Compiling Data.Memory.ExtendedWords ( Data/Memory/ExtendedWords.hs, dist/build/Data/Memory/ExtendedWords.o )
[11 of 28] Compiling Data.Memory.Endian ( Data/Memory/Endian.hs, dist/build/Data/Memory/Endian.o )
[12 of 28] Compiling Data.Memory.Hash.SipHash ( Data/Memory/Hash/SipHash.hs, dist/build/Data/Memory/Hash/SipHash.o )
[13 of 28] Compiling Data.Memory.Encoding.Base64 ( Data/Memory/Encoding/Base64.hs, dist/build/Data/Memory/Encoding/Base64.o )
[14 of 28] Compiling Data.Memory.Encoding.Base32 ( Data/Memory/Encoding/Base32.hs, dist/build/Data/Memory/Encoding/Base32.o )
[15 of 28] Compiling Data.Memory.Encoding.Base16 ( Data/Memory/Encoding/Base16.hs, dist/build/Data/Memory/Encoding/Base16.o )
[16 of 28] Compiling Data.ByteArray.Types ( Data/ByteArray/Types.hs, dist/build/Data/ByteArray/Types.o )

Data/ByteArray/Types.hs:81:17: error:
    Ambiguous occurrence ‘F.toBytes’
    It could refer to either ‘F.toBytes’,
                             imported qualified from ‘Foundation.String’ at Data/ByteArray/Types.hs:26:42-48
                             (and originally defined in ‘basement-0.0.1:Basement.String’)
                          or ‘F.toBytes’,
                             imported qualified from ‘Foundation.Primitive’ at Data/ByteArray/Types.hs:28:1-42
                             (and originally defined in ‘basement-0.0.1:Basement.Types.AsciiString’)

Data/ByteArray/Types.hs:82:40: error:
    Ambiguous occurrence ‘F.toBytes’
    It could refer to either ‘F.toBytes’,
                             imported qualified from ‘Foundation.String’ at Data/ByteArray/Types.hs:26:42-48
                             (and originally defined in ‘basement-0.0.1:Basement.String’)
                          or ‘F.toBytes’,
                             imported qualified from ‘Foundation.Primitive’ at Data/ByteArray/Types.hs:28:1-42
                             (and originally defined in ‘basement-0.0.1:Basement.Types.AsciiString’)
cabal: Leaving directory '/tmp/cabal-tmp-18940/memory-0.14.7'
Installed pipes-4.3.4
Configuring distributive-0.5.3...
Building monad-control-1.0.2.2...
Configuring unordered-containers-0.2.8.0...
Installed monad-control-1.0.2.2
Building distributive-0.5.3...
Building unordered-containers-0.2.8.0...
Warning: /tmp/pkgConf-distributive-0.516059082351350573793.3: Unrecognized
field dynamic-library-dirs on line 22
Configuring scientific-0.3.5.2...
Installed distributive-0.5.3
Building scientific-0.3.5.2...
Configuring cpphs-1.20.8...
Installed scientific-0.3.5.2
Building cpphs-1.20.8...
Installed unordered-containers-0.2.8.0
Configuring list-t-1.0.0.1...
Building list-t-1.0.0.1...
Installed list-t-1.0.0.1
Configuring comonad-5.0.2...
Building comonad-5.0.2...
Configuring attoparsec-0.13.2.0...
Installed cpphs-1.20.8
Building attoparsec-0.13.2.0...
Warning: /tmp/pkgConf-comonad-5.01504569917680466996.2: Unrecognized field
dynamic-library-dirs on line 29
Configuring uniplate-1.6.12...
Installed comonad-5.0.2
Building uniplate-1.6.12...
Installed attoparsec-0.13.2.0
Configuring bifunctors-5.4.2...
Building bifunctors-5.4.2...
Configuring haskell-src-exts-1.19.1...
Installed uniplate-1.6.12
Building haskell-src-exts-1.19.1...
Installed bifunctors-5.4.2
Configuring semigroupoids-5.2.1...
Building semigroupoids-5.2.1...
Warning: /tmp/pkgConf-semigroupoids-5.29331101976939507.1: Unrecognized field
dynamic-library-dirs on line 60
Configuring profunctors-5.2.1...
Installed semigroupoids-5.2.1
Building profunctors-5.2.1...
Installed profunctors-5.2.1
Configuring free-4.12.4...
Building free-4.12.4...
Installed free-4.12.4
Configuring either-4.4.1.1...
Building either-4.4.1.1...
Installed either-4.4.1.1
Installed haskell-src-exts-1.19.1
Configuring derive-2.6.3...
Building derive-2.6.3...
Installed derive-2.6.3
cabal: Error: some packages failed to install:
asn1-encoding-0.9.5 depends on memory-0.14.7 which failed to install.
asn1-parse-0.9.4 depends on memory-0.14.7 which failed to install.
asn1-types-0.3.2 depends on memory-0.14.7 which failed to install.
connection-0.2.8 depends on memory-0.14.7 which failed to install.
cryptonite-0.24 depends on memory-0.14.7 which failed to install.
imap-0.3.0.4 depends on memory-0.14.7 which failed to install.
memory-0.14.7 failed during the building phase. The exception was:
ExitFailure 1
tls-1.4.0 depends on memory-0.14.7 which failed to install.
x509-1.7.2 depends on memory-0.14.7 which failed to install.
x509-store-1.6.5 depends on memory-0.14.7 which failed to install.
x509-system-1.6.6 depends on memory-0.14.7 which failed to install.
x509-validation-1.6.9 depends on memory-0.14.7 which failed to install.